Bug 1738915 - ccnet depends on Python 2
Summary: ccnet depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777621
Alias: None
Product: Fedora
Classification: Fedora
Component: ccnet
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL 1739010
TreeView+ depends on / blocked
 
Reported: 2019-08-08 11:45 UTC by Lumír Balhar
Modified: 2019-11-28 01:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:08:51 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 11:45:10 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for ccnet's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to ccnet.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:56:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:30:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-16 09:07:45 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Julien Enselme 2019-08-21 14:34:00 UTC
1. The software is partially written in Python.
2. Port to Python 3 is planed in 2019: https://github.com/haiwen/seafile/issues/2112 (ccnet is required by seafile and is developed by the same company). (no news on this thought, I know work is being done for a dependency. See https://bugzilla.redhat.com/show_bug.cgi?id=1738017 and https://bugzilla.redhat.com/show_bug.cgi?id=1739010)
3. I am tracking the issue. I think we should wait for the upstream work to be completed.

Comment 5 Miro Hrončok 2019-11-28 01:08:51 UTC

*** This bug has been marked as a duplicate of bug 1777621 ***


Note You need to log in before you can comment on or make changes to this bug.